db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew McIntyre" <mcintyr...@gmail.com>
Subject Re: Running test suites and interpreting results
Date Wed, 28 Mar 2007 09:12:26 GMT
On 3/27/07, Jeffrey Clary <jclary@actuate.com> wrote:
> I didn't attach them before because of their size, but here you go.

A few questions:

- it appears you are building 10.2.2.0 here. 10.2.2.0 still supports
JDK 1.3.1 and requires a set of 1.3.1 runtime classes be available and
that j13lib in your ant.properties be set to their location. Support
for JDK 1.3.1 has been dropped in the trunk (currently 10.3), and it
is no longer necessary to have the 1.3 classes if building the trunk.

- that said, does Ant report any errors when building 10.2.2.0? And do
you have Ant set to proceed on error (i.e. fail_on_error=false in your
ant.properties or elsewhere?)

- which JVM are you using to run Ant for your build?

- is svnversion in your path? Several of the tests have diffs
indicating that the subversion information could not be obtained to
supply the build number.

There definitely seems to be some 'confusion' as to whether your the
JDBC 4 classes and driver are being built correctly, as others have
noted. In particular, this test diff stood out:

10 del
< getJDBCMajorVersion()/getJDBCMinorVersion() : AS EXPECTED
10a10
> getJDBCMajorVersion()/getJDBCMinorVersion() : GOT 3.0, EXPECTED 4.0

Can you attach the output of 'ant all -verbose' after an 'ant
clobber'? I know it will be a lot of output, but that might help to
track down the build problem.

HTH,
andrew

Mime
View raw message